<!DOCTYPE html>
<html lang="pl-PL">
<%- include('partials/_head.ejs') %>
<body>
  <style>
    main {
      background-color: #fff;
      box-shadow: 1px 3px 5px rgb(163, 163, 163);
      padding: 70px;
      border-radius: 16px;
    }
    #submitButton {
      padding: 13px;
      background-color: transparent; 
      color: rgb(0, 140, 255); 
      border: 1px solid rgb(0, 140, 255); 
      border-radius: 25px; 
      margin-top: 10px;
      transition: 0.2s ease-in-out;
    }
    #submitButton:hover {
      background-color: rgb(0, 140, 255);
      color: azure;
    }
  </style>
<%- include('partials/_header.ejs') %>
<main role="main" class="container mt-4">
  <h2>Zarządzanie rolami</h2>
  <form id="roleForm">
    <div class="mb-3">
      <label for="userSelect" class="form-label">Wybierz użytkownika</label>
      <select class="form-select" id="userSelect" name="userSelect" required>
        <!-- User options will be dynamically populated -->
      </select>
    </div>
    <div class="mb-3">
      <label for="roleSelect" class="form-label">Wybierz rolę</label>
      <select class="form-select" id="roleSelect" name="roleSelect" required>
        <option value="Admin">Administrator</option>
        <option value="Manager">Menadżer</option>
        <option value="Analyst">Analityk</option>
        <option value="Reader">Sprzedawca</option>
      </select>
    </div>
    <div class="mb-3">
      <label for="managerSelect" class="form-label">Wybierz menadżera</label>
      <select class="form-select" id="managerSelect" name="managerSelect">
        <!-- Manager options will be dynamically populated -->
      </select>
    </div>
    <div class="mb-3">
      <label for="description" class="form-label">Dodaj opis użytkownika</label>
      <input type="text" class="form-control" id="description" name="description" placeholder="Wprowadź opis">
    </div>
    <button type="submit" class="btn btn-primary" id="submitButton">Zatwierdź</button>
  </form>
  <div id="feedback" class="alert" role="alert" style="display:none;"></div>
</main>
<script src="/js/updateRole.js"></script>
<script src="/js/populateUserDropdown.js"></script>
<script src="/js/populateManagerDropdown.js"></script>
</body>
<%- include('partials/_footer.ejs') %>
</html>
